:root {
    --px-primary: var(--wd-primary-color)
}

/*var(--e-global-color-primary)*/

/* Utilities */

::-webkit-scrollbar {
    width: 7px;
}

::-webkit-scrollbar-track {
    background: white;
}

::-webkit-scrollbar-thumb {
    background: var(--px-primary);
    border-radius: 50px;
}

::-webkit-scrollbar-thumb:window-inactive {
    background: var(--px-primary);
    opacity: .6;
}

::selection {
    color: white;
    background: var(--px-primary);
}

/* Layout */

.website-wrapper {
    min-height: 100vh;
    position: relative;
}

.main-page-wrapper {
    min-height: 450px;
}

.footer-container {
    position: sticky;
    top: 100%;
}

/* Out of stock */
.woocommerce-variation-add-to-cart-disabled {
    display: none;
}

.out-of-stock.product-label {
    max-width: none;
    color: #1e1f26;
    background: #F2F2F2 !important;
}

.product-grid-item.outofstock {
    opacity: .4;
}


.wd-empty-page {
    font-size: 20px;
}

.platform-Windows [class*=wd-section-stretch] {
    width: calc(100vw);
    left: calc(50% - 50vw);
}

.star-rating,
.stars:hover a:before,
.stars.selected a:before,
.stars.selected:hover a:before {
    color: var(--px-primary);
}

/*.product-grid-item {
    display: inline-flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}*/


/* Woo Swatches */

/*.wvs-has-image-tooltip:before, [data-wvstooltip]:before {
  color: #fff;
  background-color: var(--px-primary);
  border-color: var(--px-primary);
}

.woo-variation-swatches .variable-items-wrapper .variable-item:not(.radio-variable-item) {
    box-shadow:none;
    border: var(--wd-form-brd-width) solid var(--wd-form-brd-color);
    padding:10px;
    height:auto;
}*/


/* WD Swatches */

.wd-swatch {
    padding: 10px;
    display: inline-flex;
    align-items: center;
    border: var(--wd-form-brd-width) solid var(--wd-form-brd-color);
    justify-content: center;
}

.wd-swatch.active-swatch {
    border-color: var(--px-primary);
}

.wd-swatch:after {
    display: none;
}

/* Pixeler LInk */

.pixeler-link {
    margin-left: 5px;
}

.pixeler-link img {
    filter: grayscale(100%);
    opacity: .5;
    transition: all .3s ease;
}

.pixeler-link:hover {
    color: #0c88b4;
}

.pixeler-link:hover img {
    filter: grayscale(0);
    opacity: 1;
}

/* Contact Form 7 */

input.wpcf7-form-control.wpcf7-submit {
    background-color: var(--px-primary);
    color: white;
}


/* Woo/MyAccount/Dashboard */


.wd-my-account-links a {
    display: flex;
    align-items: center;
}

.wd-my-account-links a:before {
    margin-right: 10px;
    margin-bottom: 0;
    font-size: 30px;
    line-height: 1;
}


.woocommerce-MyAccount-title.entry-title {
    display: none;
}


a {
    transition: all .3s ease;
}


/* Fix images */

.product-grid-item .product-image-link {
    height: 270px;
}

@media only screen and (max-width: 768px) {
    .product-grid-item .product-image-link {
        height: 180px;
    }
}


.product-grid-item .product-image-link img,
.product-grid-item .hover-img img {
    width: 100%;
    object-fit: contain;
    height: 100%;
}

/* Single product */
.product-image-wrap a {
    display: block;
    height: 500px;
}

.product-image-wrap a img {
    object-fit: contain;
    max-height: 100%;
}

.product-image-thumbnail {
    display: flex;
    height: 120px;
    border: 1px solid #f2f2f2;
    padding: 10px;
}

.product-image-thumbnail img {
    object-fit: contain;
    max-height: 100%;
}

.wd-sticky-btn-thumbnail.woodmart-sticky-btn-thumbnail {
    height: 50px;
}

.wd-sticky-btn-thumbnail.woodmart-sticky-btn-thumbnail img {
    height: 100%;
    object-fit: contain;
}

.wd-back-btn {
    display: none;
}


/* Complianz */

#cmplz-document {
    max-width: 100%;
}
